package com.dayou.mapper;

import com.dayou.entity.AssetsEvaluationTarget;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.AssetsEvaluationTargetVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资产评估对象表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface AssetsEvaluationTargetMapper extends CustomBaseMapper<AssetsEvaluationTarget> {

    /**
     * 根据资产业务订单id获取评估对象信息
     * @param id 资产订单id
     * @return List<AssetsEvaluationTargetVO>
     */
    List<AssetsEvaluationTargetVO> getAETargetListByAssetsId(@Param("id") Long id);

}
