package com.dayou.mapper;

import com.dayou.entity.AssetsProduction;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资产产品表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface AssetsProductionMapper extends CustomBaseMapper<AssetsProduction> {

    /**
     * 根据业务id获取产品信息类型集合
     * @param businessId 资产业务id
     * @return List<String>
     */
    List<String> getProductionTypes(@Param("businessId") Long businessId);

}
